package com.syc.slm.slmbi.controller;

import com.syc.slm.common.core.util.R;
import com.syc.slm.slmbi.service.CompanyService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Set;

/**
 * @author: guangyi-liang
 * @date: 2021/5/20
 */
@RequestMapping("/company")
@RestController
@Api(value = "初始化相关管理接口", tags = "初始化相关管理接口")
public class InitController {


    @Autowired
    private CompanyService companyService;

    @GetMapping("/app-id")
    @ApiOperation("测试")
    public R<Set<String>> findAll() {
        return R.ok(companyService.findAll());
    }

//    @PostMapping("/group/tree/init")
//    @ApiOperation("测试顶级分组和蜀兴结构")
//    public R<Boolean> initGroupAndTree() {
//        return R.ok(companyService.initGroupAndTree());
//    }
}
